package de.hhu.ba.yoshikoWrapper.core;

import java.util.HashMap;
import java.util.Map.Entry;

import org.cytoscape.model.CyNetwork;
import org.cytoscape.model.CyNode;

public class NodeMap {
	
	private HashMap<CyNode,Long> nodeMap;
	
	
	public NodeMap(CyNetwork net){
		nodeMap = new HashMap<CyNode,Long> ();
		long index = 0;
		for (CyNode n :net.getNodeList()) {
			nodeMap.put(n, index);
			index++;
		}
		
	}


	public long get(CyNode key) {
		return nodeMap.get(key);
	}


	public CyNode indexOf(long nodeID) {
	    for (Entry<CyNode, Long> entry : nodeMap.entrySet()) {
	        if (nodeID ==  entry.getValue()) {
	            return entry.getKey();
	        }
	    }
	    return null;
	}
}
